# GimpUi.DrawableComboBox.new

    function new(): Gtk.Widget {
        // Gjs wrapper for gimp_drawable_combo_box_new()
    }

Creates a new GimpUi.IntComboBox filled with all currently opened drawables. If a constraint function is specified, it is called for each drawable and only if the function returns true, the drawable is added to the combobox.

You should use GimpUi.IntComboBox.prototype.connect to initialize and connect the combo. Use GimpUi.IntComboBox.prototype.set_active to get the active drawable ID and GimpUi.IntComboBox.prototype.get_active to retrieve the ID of the selected drawable.

Since 2.2

Returns

  a new GimpUi.IntComboBox.